package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridShopStaff;
import com.ruoyi.system.domain.grid.GridShopStaffExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridShopStaffMapper {
    long countByExample(GridShopStaffExample example);

    int deleteByExample(GridShopStaffExample example);

    int deleteByPrimaryKey(Long staffId);

    int insert(GridShopStaff record);

    int insertSelective(GridShopStaff record);

    List<GridShopStaff> selectByExample(GridShopStaffExample example);

    GridShopStaff selectByPrimaryKey(Long staffId);

    int updateByExampleSelective(@Param("record") GridShopStaff record, @Param("example") GridShopStaffExample example);

    int updateByExample(@Param("record") GridShopStaff record, @Param("example") GridShopStaffExample example);

    int updateByPrimaryKeySelective(GridShopStaff record);

    int updateByPrimaryKey(GridShopStaff record);
}